commit: 96fc64387fd387eadcfa2438afa65dacf695c844
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 21 17:07:36 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 21 18:12:38 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=96fc6438
app-portage/euscan: Support sys-apps/portage-mgorny
.../euscan/{euscan-0.1.1-r1.ebuild => euscan-0.1.1-r2.ebuild} | 8 ++++++--
app-portage/euscan/euscan-9999.ebuild | 8 ++++++--
2 files changed, 12 insertions(+), 4 deletions(-)
diff --git a/app-portage/euscan/euscan-0.1.1-r1.ebuild
b/app-portage/euscan/euscan-0.1.1-r2.ebuild
similarity index 83%
rename from app-portage/euscan/euscan-0.1.1-r1.ebuild
rename to app-portage/euscan/euscan-0.1.1-r2.ebuild
index 19345bf907e..27566cc7555 100644
--- a/app-portage/euscan/euscan-0.1.1-r1.ebuild
+++ b/app-portage/euscan/euscan-0.1.1-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -18,7 +18,11 @@ IUSE=""
KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
-DEPEND="sys-apps/portage[${PYTHON_USEDEP}]"
+DEPEND="
+ || (
+ sys-apps/portage[${PYTHON_USEDEP}]
+ sys-apps/portage-mgorny[${PYTHON_USEDEP}]
+ )"
RDEPEND="${DEPEND}
>=app-portage/gentoolkit-0.2.8[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
diff --git a/app-portage/euscan/euscan-9999.ebuild
b/app-portage/euscan/euscan-9999.ebuild
index 2cf8630bb3c..c71e1ee07ef 100644
--- a/app-portage/euscan/euscan-9999.ebuild
+++ b/app-portage/euscan/euscan-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -18,7 +18,11 @@ IUSE=""
KEYWORDS=""
-DEPEND="sys-apps/portage[${PYTHON_USEDEP}]"
+DEPEND="
+ || (
+ sys-apps/portage[${PYTHON_USEDEP}]
+ sys-apps/portage-mgorny[${PYTHON_USEDEP}]
+ )"
RDEPEND="${DEPEND}
>=app-portage/gentoolkit-0.2.8[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]